# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "edgestore-repl"
version = "1.0.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "REPL and HTTP server for EdgeStore"
homepage = "https://github.com/gleicon/edgestore"
readme = "README.md"
keywords = [
    "edgestore",
    "repl",
    "database",
    "http",
    "server",
]
categories = ["database-implementations"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/gleicon/edgestore"

[lib]
name = "edgestore_repl"
path = "src/lib.rs"

[[test]]
name = "integration_replication"
path = "tests/integration_replication.rs"

[dependencies.blake3]
version = "1"

[dependencies.edgestore]
version = "1.0.4"

[dependencies.rmp-serde]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tiny_http]
version = "0.12"

[dependencies.ureq]
version = "2"
features = []

[dev-dependencies.tempfile]
version = "3"
